# Package net.shibboleth.idp.plugin.authn.webauthn.exception

package net.shibboleth.idp.plugin.authn.webauthn.exception
Exception classes for WebAuthn.

Related Packages
Package
Description
net.shibboleth.idp.plugin.authn.webauthn
Shibboleth WebAuthn authentication implementation.
Exceptions
Class
Description
AssertionFailureException
Exception that is throw if an authentication assertion is not valid.
CredentialRepositoryException
An unchecked exception that is throw when there is an unrecoverable error occurs handling requests to the credential repository.
RegistrationFailureException
Exception that is throw if a public key credential registration (attestation) is not valid.
WebAuthnAuthenticationClientException
An exception to signal an error condition during execution or creation of a Webauthn client.